Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.asn1
Interface ASN1Decoder

All Known Implementing Classes:
  ASN1DER

public interface ASN1Decoder

Method Summary
`int` | `decode(java.io.InputStream in, ASN1Object object)`
`boolean` | `decodeBoolean(java.io.InputStream in, int len)`
`java.math.BigInteger` | `decodeInteger(java.io.InputStream in, int len)`
`void` | `decodeNull(java.io.InputStream in, int len)`
`int[]` | `decodeOID(java.io.InputStream in, int len)`
`byte[]` | `decodeString(java.io.InputStream in, int len)`
`void` | `decodeStructure(java.io.InputStream in, int len, ASN1Structure struct)`
`void` | `decodeValue(java.io.InputStream in, int tag, int len, ASN1Object object)`

Method Detail

### decode

    public int decode(java.io.InputStream in,
                      ASN1Object object)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeValue

    public void decodeValue(java.io.InputStream in,
                            int tag,
                            int len,
                            ASN1Object object)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeBoolean

    public boolean decodeBoolean(java.io.InputStream in,
                                 int len)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeInteger

    public java.math.BigInteger decodeInteger(java.io.InputStream in,
                                              int len)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeNull

    public void decodeNull(java.io.InputStream in,
                           int len)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeOID

    public int[] decodeOID(java.io.InputStream in,
                           int len)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeString

    public byte[] decodeString(java.io.InputStream in,
                               int len)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeStructure

    public void decodeStructure(java.io.InputStream in,
                                int len,
                                ASN1Structure struct)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD